<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.MyMenuMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.MyMenu">
        <id column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="name" property="name" />
        <result column="type" property="type" />
        <result column="icon" property="icon" />
        <result column="url" property="url" />
        <result column="param" property="param" />
        <result column="orderby" property="orderby" />
        <result column="memo" property="memo" />
        <result column="agent_default" property="agentDefault" />
        <result column="property_default" property="propertyDefault" />
        <result column="clean_default" property="cleanDefault" />
        <result column="agent_show_default" property="agentShowDefault" />
        <result column="property_show_default" property="propertyShowDefault" />
        <result column="agent_manage_show_default" property="agentManageShowDefault" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_time, modify_id, modify_time, soft_delete, name, type, icon, url, param, orderby, memo, agent_default, property_default, clean_default, agent_show_default, property_show_default, agent_manage_show_default
    </sql>

</mapper>
